Bug 458471 - CPU scaling not working on Intel Xeon E5335 and E5420
CPU scaling not working on Intel Xeon E5335 and E5420
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: John Villalovos
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 13:30 EDT by Arturas Moskvinas
Modified: 2015-05-08 09:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 16:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arturas Moskvinas 2008-08-08 13:30:28 EDT
Description of problem:
CPU scaling is not working on Intel Xeon E5335 and E5420, although both support Enhanced Intel Speedstep® Technology.
http://processorfinder.intel.com/details.aspx?sSpec=SLAEK
http://processorfinder.intel.com/details.aspx?sSpec=SLAC7
http://processorfinder.intel.com/details.aspx?sSpec=SLANV

Version-Release number of selected component (if applicable):
All

How reproducible:
Everytime

Steps to Reproduce:
1. Install RHEL 5.2 
2. ls /sys/devices/system/cpu/cpu0/ | grep cpufreq
  
Actual results:
Nothing return

Expected results:
cpufreq

Additional info:
Intel Xeon E5335 is used on Intel server board S5000PAL, Intel Xeon 5345 on the same board is working correctly (CPU scaling is working).
Intel Xeon E5420 is used on Intel server board S5400SF.
Intel Xeon E5420 cpu scaling tested on kernel and kernel-xen, results are the same.
Comment 1 Arturas Moskvinas 2009-01-21 09:55:24 EST
The issue with Intel xeon cpu E5420 frequency scaling on Intel server board S5400SF on kernel/kernel-xen was fixed with new firmware
Comment 2 John Villalovos 2009-04-24 16:13:50 EDT
Closing as no longer an issue from Comment 2

Note You need to log in before you can comment on or make changes to this bug.